function Ke=pret2e(x,y,ep)
// funkcja oblicza macierz sztywnosci elementu
// dane x, y - wsplrzedne wzw
//      ep   - wlaciwoci
//             ep(1) - modul Younge'a 
//             ep(2) - pole przekroju preta
c=x(2)-x(1);
s=y(2)-y(1);
l=sqrt(c*c+s*s);
c=c/l;
s=s/l;
ea=ep(1)*ep(2)/l;
Ke=zeros(4,4);
Ke(1,1)=c*c;     Ke(1,2)=c*s;     Ke(1,3)=-c*c;    Ke(1,4)=-c*s;
Ke(2,1)=Ke(1,2); Ke(2,2)=s*s;     Ke(2,3)=-s*c;    Ke(2,4)=-s*s;
Ke(3,1)=Ke(1,3); Ke(3,2)=Ke(2,3); Ke(3,3)=c*c;     Ke(3,4)=c*s;
Ke(4,1)=Ke(1,4); Ke(4,2)=Ke(2,4); Ke(4,3)=Ke(3,4); Ke(4,4)=s*s;
Ke=Ke*ea;
endfunction
